#include <IRremote.h>

long mem = 0; // Переменная для хранения полученных кодов.
IRrecv irrecv(8); // Указываем пин к которому подключен приемник.
decode_results results; // Переменная для хранения результата декодирования сигнала.

void setup()
{
  Serial.begin(9600); // Открыть последовательный порт на скорости 9600 бод.
  irrecv.enableIRIn(); // Запустить приемник.
  pinMode(13, OUTPUT); // 13 пин на выход.
}

void loop()
{
  if (irrecv.decode(&results)) // Если получено какой-либо сигнал от приемника
  {
    if (results.value != -1) // и если это Не код повтора (-1)
    {
      mem = results.value;  // то код записывается в переменную mem
      Serial.println(mem, HEX);  // и в послед. порт передается значение этой переменной.
      delay(500); // Задержка 0,5 секунды.
    }
    else Serial.println(mem, HEX); // Иначе(если это код повтора) передается значение mem без перезаписи.
    irrecv.resume(); // Получить следующее значение
  }
  delay(30);
  
// Далее кусочек для проверки горячих клавиш управления выходами МК.

  if (Serial.available()) // Если в буфере послед. порта что то есть
  {
    if (Serial.read() == '1') digitalWrite(13, !digitalRead(13)); // и это символ 1, инвертируем значение 13 пина.
  }
}
